# SPDX-FileCopyrightText: Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited.

ace-configurator:
  configurator:
    config: |
      ---
      services:
        a2f-a2f-deployment:
          a2f-configs-cm:
            refresh_policy:
              type: Restart
            config_type: Cm
        ia-unreal-renderer-microservice-deployment:
          asset-volume:
            container_name: ms
            refresh_policy:
              type: Restart
            config_type: Pv
        ia-animation-graph-microservice-deployment:
          ia-animation-graph-microservice-configs:
            refresh_policy:
              type: Restart
            config_type: Cm
          ia-animation-graph-microservice-params:
            refresh_policy:
              type: Restart
            config_type: Cm
          asset-volume:
            refresh_policy:
              type: Restart
            config_type: Pv
audio2face:
  ucfVisibleGpus: [0]
  telemetry:
    metrics_enabled: true
    metrics_exporter: prometheus
animation-graph:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.1.5"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
unreal-renderer:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath:
      unrealEngineProject: "nvidia/ace/unreal-renderer-aki-asset:0.1.1"
      # e.g.: unrealEngineProject: "your-ngc-org/your-ngc-team/ia-unreal-renderer-asset-metahuman-example:0.1.0"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
  # window:
  #   width: 1280
  #   height: 720
  #   width: 1920
  #   height: 1080
  #   width: 3840
  #   height: 2160
  # deployment:
  #   additionalStartupArgs: -logcmds="LogACECore Verbose,LogACERuntime VeryVerbose"
  signallingServer:
    peerConnectionOptions: |
      {
        "iceServers":[
          {
            "urls": ["turn:<CHANGE_WITH_YOUR_IP_ADDRESS>:3478"],
            "username": "user",
            "credential": "password"
          }
        ], 
        "iceTransportPolicy": "relay"
      }
